{
	"name": "form/nc/nc-stock/column/stock-location-receive.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"red": "data.remaining <= 0 && data.event_type === 'LI' && colDef.field === 'remaining'",
				"blue": "data.idx === 1 && colDef.field === 'stock_balance'"
			},
			"row_class_rules": {
				"darkred": "data.event_type === 'VI'",
				"grey": "data.event_type !== 'LI' && data.event_type !== 'VI'"
			}
		}
	},
	"column": [
		{
			"icon": "nc-link-icon",
			"link_field": "st.stock_event_id",
			"link_data_field": "stock_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx",
			"width": 55
		},
		{
			"field": "st.stock_id",
			"info": "running id number",
			"width": 100
		},
		{
			"field": "st.product_id",
			"name": "Product id",
			"width": 100
		},
		{
			"field": "st.location_id",
			"name": "Location id",
			"width": 100
		},
		{
			"field": "st.material_batch",
			"name": "Mat. batch",
			"width": 100
		},
		{
			"field": "st.event_time",
			"width": 90,
			"name": "Event date",
			"type": "date"
		},
		{
			"field": "st.event_type",
			"width": 55,
			"name": "Type"
		},
		{
			"field": "st.amount",
			"width": 110,
			"name": "Amount",
			"format": "%'.-2f",
			"cell_class": ["nc-grid-align-center"]
		},
		{
			"field": "st.unit_price",
			"width": 80,
			"name": "Unit price"
		},
		{
			"field": "st.currency_id",
			"width": 55,
			"name": "Cur."
		},
		{
			"field": "st.info",
			"width": 150,
			"name": "Info"
		}
	],
	"column-": [
		{
			"variable": "rate",
			"width": 55,
			"name": "Rate",
			"format": "%'.3f"
		},
		{
			"variable": "stock_value",
			"width": 85,
			"name": "Value",
			"format": "%'.2f"
		},
		{
			"variable": "target_currency",
			"width": 55,
			"name": "Cur."
		},
		{
			"variable": "currency_price",
			"width": 110,
			"name": "Cur. unit price",
			"format": "%'.2f"
		},
		{
			"variable": "from",
			"width": 360,
			"name": "Price from"
		},
		{
			"variable": "stock_balance",
			"width": 150,
			"name": "Balance after event",
			"format": "%'.-2f",
			"cell_class": ["nc-grid-align-center"]
		}
	]
}
